CRMchat APIBeta
Telegram APIMessages

messages.getDhConfig

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/messages.getDhConfig

Returns configuration parameters for Diffie-Hellman key generation. Can also return a random sequence of bytes of required length.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Returns configuration parameters for Diffie-Hellman key generation. Can also return a random sequence of bytes of required length.

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.getDhConfig" \  -H "Content-Type: application/json" \  -d '{    "params": {      "version": 0,      "randomLength": 0    }  }'
{  "result": {    "_": "messages.dhConfigNotModified",    "random": "string"  }}